<?php
 session_start();
    
   include("../pdate.php");
   include("db.php");
   
   $pdate1=$_GET['date'];
   
    
 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>Customer Payment List</title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  //include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="930px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
			</th>	 
			
			
			
			
			<?php 
			       
 
			  
				  echo '</th>
				<th style="width:206px"><h3>صرافی مرحوم نظر محمد قلعه نوی</h3>بـرد و رسیـد مشتـریان&nbsp<br>'.$treatMent;
			    
				echo "<br><span style='color:green'></span>".$pdate1."</td>";
				 
			  
			  
			  ?>
			
			<th style="width:186px;text-align:left;height: 40px" > </th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
 
    include("db.php");
	$tableName="customerpayment";		
	$targetpage = "customerTransaction.php"; 	
	$limit = 30; 
	 
	 
	$sql="SELECT COUNT(*) as num FROM `$tableName` where remove='0' and transacttype='$transacttype' and  transactCurrency='$counterCurrency' and  (date >='$startDate' AND date <='$endDate')   ";
	 
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col"> برد و رسید مشتریان</th>
				<th scope="col">خریداریهای پولی</th>
				<th scope="col"> امدن از فروش سایر پولها</th>
				<th scope="col"> اضافه شدن از درامدهای متفرقه</th>
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						  
						 
			  //dollar recive
		        $dollar_recive_sql="SELECT sum(amount) FROM `customerpayment` where remove='0' and  transacttype='1'  and transactCurrency='2' and date='$pdate1'"; 
                $dollar_recive_query= $db ->query($dollar_recive_sql);
				$dollar_recive_row=$dollar_recive_query ->fetch_array();
				$dollar_recive=$dollar_recive_row['sum(amount)'];
			    
			//خریداری های دلار	
			    $dollarBuy_sql="select sum(counterAmount) from transaction where counterCurrency='2' and date='$pdate1' and remove='0' and treatment='1' and extra='0'";
		    	$dollarBuy_query=$db ->query($dollarBuy_sql);
				$dollarBuy_row=$dollarBuy_query ->fetch_array();
				$dollarBuy=$dollarBuy_row['sum(counterAmount)'];
                				
            //اضافه شدن از فروش سایر پولها به افغانی
				$ezafe_dollar_azfrosh_sql="select sum(baseAmount) from transaction where baseCurrency='2' and date='$pdate1' and remove='0' and treatment='2' and extra='0'  ";
				$ezafe_dollar_azfrosh_query=$db ->query($ezafe_dollar_azfrosh_sql);
				$ezafe_dollar_azfrosh_row=$ezafe_dollar_azfrosh_query ->fetch_array();
				$ezafe_dollar_azfrosh=$ezafe_dollar_azfrosh_row['sum(baseAmount)'];		
				 //اضافه شدن به دالر از بخش درامدهای متفرقه 
				 
				$totalIncome_dollar_sql="select sum(amount) from others where currencyId='2' and  typeOthers='2' and date='$pdate1' and remover='0'    ";
				$totalIncome_dollar_query=$db ->query($totalIncome_dollar_sql);
				$totalIncome_dollar_row=$totalIncome_dollar_query ->fetch_array();
				$totalIncome_dollar=$totalIncome_dollar_row['sum(amount)'];	 
				 
				$avordegi_dollar=$dollar_recive+$dollarBuy+$ezafe_dollar_azfrosh+$totalIncome_dollar;
			echo "<tbody>
			<tr>
			<td>1</td>
			<td><a href='reciv_from_customer.php?date=$pdate1' target='_blank'>".number_format($dollar_recive)."</a></td>
			<td><a href='reciv_from_customer.php' target='_blank'>".number_format($dollarBuy)."</a></td>
			<td><a href='reciv_from_customer.php' target='_blank'>".number_format($ezafe_dollar_azfrosh)."</a></td> 
			<td><a href='reciv_from_customer.php' target='_blank'>".number_format($totalIncome_dollar)."</a></td> 
			 
			 </tr><tr>";
			 echo '   
		       
						<td colspan="6"  style="text-align: left;"><hr style="border:1px solid #000;"><sapn style="color: #000;font-weight: bold;font-size: 16px">مجموع: &nbsp;&nbsp;&nbsp;'.number_format($avordegi_dollar).'دالر&nbsp   </span></td>';
			
		 echo '</table>';
         	
	 echo "<br></div>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage  & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage   & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1  & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype  & counterCurrency=$counterCurrency'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
 die;
//}

?>
<!--==========================================================================================-->  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
	 
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     